GrailsWebPluginManager (Grails 5.1.1)

Package: grails.web.servlet.plugins

## [Groovy] Class GrailsWebPluginManager

- grails.web.servlet.plugins.GrailsWebPluginManager

-     @groovy.transform.CompileStatic
      class GrailsWebPluginManager
      extends DefaultGrailsPluginManager

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `SERVLET_CONTEXT_INIT_METHOD` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGrailsPluginManager` | `COMMON_CLASSES`
    `class AbstractGrailsPluginManager` | `CONFIG_FILE, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsWebPluginManager (java.lang.String resourcePath, GrailsApplication application)`
    `GrailsWebPluginManager (java.lang.String[] pluginResources, GrailsApplication application)`
    `GrailsWebPluginManager (java.lang.Class<?>[] plugins, GrailsApplication application)`
    `GrailsWebPluginManager (org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `doWithServletContext(javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultGrailsPluginManager` | `canRegisterPlugin, checkForChanges, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, evictPlugin, getPluginObservers, getUserPlugins, informObservers, loadPlugins, refreshPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, setPluginFilter, sortPlugins`
    `class AbstractGrailsPluginManager` | `checkInitialised, convert, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, getAllPlugins, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isInitialised, isPluginDisabledForProfile, isShutdown, onStartup, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, setPluginFilter, shutdown`

- - ### Field Detail

    - #### public static final java.lang.String SERVLET_CONTEXT_INIT_METHOD

  - ### Constructor Detail

    - #### GrailsWebPluginManager(java.lang.String resourcePath, GrailsApplication application)

    - #### GrailsWebPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

    - #### GrailsWebPluginManager(java.lang.Class<?>[] plugins, GrailsApplication application)

    - #### GrailsWebPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

  - ### Method Detail

    - #### void doWithServletContext(javax.servlet.ServletContext servletContext)